Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
DL_SignatureSchemeOptions< T1, T2, T3, T4, T5 > Struct Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_SignatureSchemeOptions< T1, T2, T3, T4, T5 >:

List of all members.

## Public Types

typedef T3 | SignatureAlgorithm
typedef T4 | MessageEncodingMethod
typedef T5 | HashFunction
typedef T2 | Keys
typedef Keys::PrivateKey | PrivateKey
typedef Keys::PublicKey | PublicKey
typedef T1 | AlgorithmInfo
typedef T2 | GroupParameters
typedef GroupParameters::Element | Element

## Detailed Description

### template<class T1, class T2, class T3, class T4, class T5>
struct DL_SignatureSchemeOptions< T1, T2, T3, T4, T5 >

_

Definition at line 1263 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h